
%define desktop_file_utils_version 0.12

Summary:	A Collection of cursor themes for XFree86 4.3 or later
Name: cursor_themes
Version: 0.9
Release: 43.fc42
License:	GPL
Url:		http://kde-look.org
BuildArch:	noarch
Group:		Graphical desktop/Other
Source:		choose_cursor
Source1:        4805-RedDot.tar.bz2
Source2:        5265-3Dcursors-0.2.tar.bz2
Source3:        5271-3dcolor.tar.bz2
Source4:        5475-yellowdot.tar.bz2
Source5:        5507-Golden-XCursors-3D-0.8.tar.bz2
Source6:        5532-BlueGlass-XCursors-3D-0.4.tar.bz2
Source7:        5533-Silver-XCursors-3D-0.4.tar.bz2
Source8:        Crystalcursors.tar.bz2
Source9:        yellowdot-default-0.1.tar.bz2
Source10:       redhat-config-xcursor.desktop

BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	xdialog >= 2.0
Requires:       desktop-backgrounds-basic
Prereq:         desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:	ImageMagick

Prefix:		/usr

%description
This package contains many of the freely distributeable cursor themes for XFree86
4.3 or newer currently available from http://kde-look.org, along with a 
simple script (choose_cursor) which will allow you to easily choose a 
cursor theme.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -T -c -q -a 1 -a 2 -a 3 -a 5 -a 6 -a 7 -a 8 -a 9
mv Cursors reddot

%build
rm -Rf default
pushd reddot;make;popd
mkdir -p GKD-XCursors/cursors;cp -f GKD-XCursors/* GKD-XCursors/cursors 2>/dev/null||:
rm -f GKD-XCursors/cursors/*.png


%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/System
install -m755 %{SOURCE0} $RPM_BUILD_ROOT/%{_bindir}
install -m755 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/applnk/System

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;System;X-Red-Hat-Base" \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/redhat-config-xcursor.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/48x48/apps
install -m644 reddot/sources/hand.png $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png
convert -resize 16x16 reddot/sources/hand.png $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/16x16/apps/%{name}.png
convert -resize 32x32 reddot/sources/hand.png $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/32x32/apps/%{name}.png
convert -resize 48x48 reddot/sources/hand.png $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg/48x48/apps/%{name}.png
pwd
CURSORS=`find . -type d -name 'cursors'`
for CURSOR in $CURSORS
	do CURSORNAME=$(basename `dirname $CURSOR`)
	mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/$CURSORNAME
	cp -a $CURSOR $RPM_BUILD_ROOT%{_datadir}/icons/$CURSORNAME

	#Ensure links are in place:
	pushd $RPM_BUILD_ROOT%{_datadir}/icons/$CURSORNAME/cursors

	
	[ -e hand ] && ln -s hand hand1 >/dev/null 2>&1||:
	[ -e hand ] && ln -s hand hand2 >/dev/null 2>&1||:

	#QT symlinks mess :-(
	[ -e v_double_arrow ] && ln -sf v_double_arrow	00008160000006810000408080010102 #v_double_arrow
	[ -e h_double_arrow ] && ln -sf h_double_arrow	028006030e0e7ebffc7f7070c0600140 #h_double_arrow
	[ -e fd_double_arrow ] && ln -sf fd_double_arrow	fcf1c3c7cd4491d801f1e1c78f100000 #fd_double_arrow
	[ -e bd_double_arrow ] && ln -sf bd_double_arrow	c7088f0f3e6c8088236ef8e1e3e70000 #bd_double_arrow
	[ -e sb_h_double_arrow ] && ln -sf sb_h_double_arrow   14fef782d02440884392942c11205230 #sb_h_double_arrow
	[ -e sb_v_double_arrow ] && ln -sf sb_v_double_arrow   2870a09082c103050810ffdffffe0204 #sb_v_double_arrow
	[ -e hand1 ] && ln -sf hand1 9d800788f1b08800ae810202380a0822 #hand1
	[ -e hand2 ] && ln -sf hand2 e29285e634086352946a0e7090d73106 #hand2
	[ -e crossed_circle ] && ln -sf crossed_circle 03b6e0fcb3499374a867c041f52298f0 #crossed_circle (dnd forbidden)
	[ -e move ] && ln -sf move 4498f0e0c1937ffe01fd06f973665830 #left_ptr (move_cursor)
	[ -e copy ] && ln -sf copy 6407b0e94181790501fd1e167b474872 #copy
	[ -e link ] && ln -sf link 640fb0e74195791501fd1ed57b41487f # link
	[ -e left_ptr_watch ] && ln -sf left_ptr_watch 3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	[ -e question_arrow ] && ln -sf question_arrow d9ce0ab605698f320427677b458ad60b # question_arrow
	
	#Other apps' symlinks
	[ -e left_ptr_watch ] && ln -sf left_ptr_watch 08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	popd
done

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%{_datadir}/applications/*.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/crystalsvg/16x16/apps/%{name}.png
%{_datadir}/icons/crystalsvg/32x32/apps/%{name}.png
%{_datadir}/icons/crystalsvg/48x48/apps/%{name}.png
%{_datadir}/icons/*/cursors
%{_bindir}/*

%changelog
* Wed Oct 15 2003 Sait Umar <umar@compsci.cas.vanderbilt.edu> 0.9-3
- Updated RedDot and Crystal cursor themes
